module.exports = {
  extends: [
    'plugin:vue/recommended',
    '@vue/standard'
  ],
  parserOptions: {
    parser: 'babel-eslint'
  },
  rules: {
    "vue/no-parsing-error": [2, { "x-invalid-end-tag": false }], // iview组件兼容 标签检测
    "vue/html-self-closing": "off", // iview组件兼容 自动闭合
    "no-eval": "off", // eval函数是否可使用 按需添加
    "vue/name-property-casing": ["error", "PascalCase"], // 驼峰式命令vue组件
    'semi': [2, 'always'], //语句强制分号结尾
    "space-before-function-paren": [2, "never"], // 函数定义时括号前面要不要有空格
    "no-new": "off", // new 不报错
    "eqeqeq": "off", // == 不报错
    "vue/attribute-hyphenation": "off",
    "prefer-promise-reject-errors": "off",
    'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off'
  },
  globals: {
    "$axios": true,
    "$app": true,
    "$store": true,
    "$Message": true
  }
};