const config = {
  dev: {
    projectName: 'accounting-web',
    env: 'dev',
    host: 'http://emswdz-sit.crc.com.cn/',
    devtools: true,
    "baseURL": "mams",
    "formPlatformUrls": {
      "temporary-borrowing": "/ems/platform/online/UAT/XARL/form_242/index.html",
      "temporary-refund": "/ems/platform/online/UAT/XARL/form_245/index.html",
      "vendor-other-fee": "/ems/platform/online/UAT/XARL/form_251/index.html",
      "vendor-advance-charge": "/ems/platform/online/UAT/XARL/form_253/index.html",
      "batch-substitute-mat-fee": "/ems/platform/online/UAT/XARL/form_256/index.html",
      "travel-fee-before": "/ems/platform/online/UAT/XARL/form_257/index.html",
      "employee-other-fee": "/ems/platform/online/UAT/XARL/form_259/index.html",
      "intelligence-employee-other-fee": "/ems/platform/online/UAT/XARL/form_274/index.html",
      "unify-apply": "/ems/platform/online/UAT/XARL/form_260/index.html",
      "new-travel-fee-rl": "/form_web/#/new-travel-fee-rl",
      "smart-travel-fee": "/form_web/#/form/smart-travel-fee",
      "work-order": "/ems/platform/online/UAT/XARL/form_265/index.html",
      "bookkeeping-simple": "/ems/platform/online/UAT/XARL/form_266/index.html",
      "general-ledger": "/ems/platform/online/UAT/XARL/form_268/index.html",
      "settlement-fee-before": "/ems/platform/online/UAT/XARL/form_277/index.html",
      "business-entertainment-fee-before": "/ems/platform/online/UAT/XARL/form_285/index.html",
      "mywallet": "/form_wallet_web/#/mywallet-page"
    },
    "biz": "biz-m-rest",
    "emsMobileURL": "ems-mobile",
    "emsAdminURL": "ems-base-application",
    "emsReceivable": "ems-receivable",
    "receiveApplication": "receive-application",
    "receiveDomain": "receive-domain",
    "claimURL": "ems-claim-crc",
    "claimDomain": "claim-domain",
    "claimApplication": "claim-application",
    "emsPaymentUrl": "ems-payment",
    "emsBaseDataURL": "ems-base-application",
    "emsBudgetURL": "ems-budget",
    "emsUtServiceURL": "ems-utservice",
    "emsBaseDataDomain": "basedata-domain",
    "emsBaseDataApplication": "basedata-application",
    "budgetApplication": "budget-application",
    "budgetDomain": "budget-domain",
    "pscURL": "ems-process-service",
    "browse": "http://myd.crc.com.cn/mams-rest/",
    "emsAccountingUrl": "ems-account-service",
    "key": "h1k2#3s4f5d6%7d8s9@0s1f2",
    "sso_logout_jump_url": "http://portaluat.crc.com.cn/oamsso/logout.html",
    "ocrUrl": "http://uateims.crc.com.cn/ocrservice_zbocr/ocrTask/ocrService.do",
    "ocrLookUrlProxy": "http://app.crc.com.cn:8889/ems-proxy/image-interface/showDetail/queryZBImagePath.do"
  },
  uat: {
    projectName: 'accounting-web',
    env: 'uat',
    host: 'http://emspd-uat.crc.com.cn',
    devtools: true,
    "baseURL": "mams",
    "formPlatformUrls": {
      "temporary-borrowing": "/ems/platform/online/PRD/XARL/form_242/index.html",
      "temporary-refund": "/ems/platform/online/PRD/XARL/form_245/index.html",
      "vendor-other-fee": "/ems/platform/online/PRD/XARL/form_251/index.html",
      "vendor-advance-charge": "/ems/platform/online/PRD/XARL/form_253/index.html",
      "batch-substitute-mat-fee": "/ems/platform/online/PRD/XARL/form_256/index.html",
      "travel-fee-before": "/ems/platform/online/PRD/XARL/form_257/index.html",
      "employee-other-fee": "/ems/platform/online/PRD/XARL/form_259/index.html",
      "intelligence-employee-other-fee": "/ems/platform/online/PRD/XARL/form_274/index.html",
      "unify-apply": "/ems/platform/online/PRD/XARL/form_260/index.html",
      "new-travel-fee-rl": "/form_web/#/new-travel-fee-rl",
      "smart-travel-fee": "/form_web/#/form/smart-travel-fee",
      "work-order": "/ems/platform/online/PRD/XARL/form_265/index.html",
      "bookkeeping-simple": "/ems/platform/online/PRD/XARL/form_266/index.html",
      "general-ledger": "/ems/platform/online/PRD/XARL/form_268/index.html",
      "settlement-fee-before": "/ems/platform/online/PRD/XARL/form_277/index.html",
      "business-entertainment-fee-before": "/ems/platform/online/PRD/XARL/form_285/index.html",
      "mywallet": "/form_wallet_web/#/mywallet-page"
    },
    "biz": "biz-m-rest",
    "emsMobileURL": "ems-mobile",
    "emsAdminURL": "ems-base-application",
    "emsReceivable": "ems-receivable",
    "receiveApplication": "receive-application",
    "receiveDomain": "receive-domain",
    "claimURL": "ems-claim-crc",
    "claimDomain": "claim-domain",
    "claimApplication": "claim-application",
    "emsPaymentUrl": "ems-payment",
    "emsBaseDataURL": "ems-base-application",
    "emsBudgetURL": "ems-budget",
    "emsUtServiceURL": "ems-utservice",
    "emsBaseDataDomain": "basedata-domain",
    "emsBaseDataApplication": "basedata-application",
    "budgetApplication": "budget-application",
    "budgetDomain": "budget-domain",
    "pscURL": "ems-process-service",
    "browse": "http://myd.crc.com.cn/mams-rest/",
    "emsAccountingUrl": "ems-account-service",
    "key": "h1k2#3s4f5d6%7d8s9@0s1f2",
    "sso_logout_jump_url": "http://portaluat.crc.com.cn/oamsso/logout.html",
    "ocrUrl": "http://uateims.crc.com.cn/ocrservice_zbocr/ocrTask/ocrService.do",
    "ocrLookUrlProxy": "http://app.crc.com.cn:8889/ems-proxy/image-interface/showDetail/queryZBImagePath.do"
  },
  prd: {
    projectName: 'accounting-web',
    env: 'prd',
    host: 'http://10.0.173.50:8080',
    devtools: false,
    "formPlatformUrls": {
      "temporary-borrowing": "ems/platform/online/PRD/XARL/form_242/index.html",
      "temporary-refund": "ems/platform/online/PRD/XARL/form_245/index.html",
      "vendor-other-fee": "ems/platform/online/PRD/XARL/form_251/index.html",
      "vendor-advance-charge": "ems/platform/online/PRD/XARL/form_253/index.html",
      "batch-substitute-mat-fee": "ems/platform/online/PRD/XARL/form_256/index.html",
      "travel-fee-before": "ems/platform/online/PRD/XARL/form_257/index.html",
      "employee-other-fee": "ems/platform/online/PRD/XARL/form_259/index.html",
      "intelligence-employee-other-fee": "ems/platform/online/PRD/XARL/form_274/index.html",
      "unify-apply": "ems/platform/online/PRD/XARL/form_260/index.html",
      "new-travel-fee-rl": "ems/form_web/#/form/new-travel-fee-rl",
      "smart-travel-fee": "ems/form_web/#/form/smart-travel-fee",
      "work-order": "ems/platform/online/PRD/XARL/form_265/index.html",
      "bookkeeping-simple": "ems/platform/online/PRD/XARL/form_266/index.html",
      "general-ledger": "ems/platform/online/PRD/XARL/form_268/index.html",
      "settlement-fee-before": "ems/platform/online/PRD/XARL/form_277/index.html",
      "business-entertainment-fee-before": "ems/platform/online/PRD/XARL/form_285/index.html",
      "mywallet": "ems/form_wallet_web/#/mywallet-page"
    },
    "baseURL": "ems-base-application/mams",
    "emsMobileURL": "ems-mobile-service/ems-mobile",
    "emsAdminURL": "ems-base-application",
    "emsReceivable": "ems-receivable",
    "receiveApplication": "receive-application",
    "receiveDomain": "receive-domain",
    "emsBaseDataURL": "ems-base-application",
    "emsBaseDataDomain": "basedata-domain",
    "emsBaseDataApplication": "basedata-application",
    "emsBudgetURL": "ems-budget",
    "budgetApplication": "budget-application",
    "budgetDomain": "budget-domain",
    "pscURL": "ems-process-service",
    "claimURL": "ems-claim-crc",
    "claimDomain": "claim-domain",
    "claimApplication": "claim-application",
    "emsUtServiceURL": "ems-utservice",
    "emsPaymentUrl": "ems-payment",
    "browse": "http://myd.crc.com.cn/mams-rest/",
    "emsAccountingUrl": "ems-account-service",
    "key": "h1k2#3s4f5d6%7d8s9@0s1f2",
    "ocrUrl": "http://eis.crc.com.cn/ocrservice_zbprod/ocrTask/ocrService.do",
    "ocrLookUrlProxy": "https://push.crc.com.cn:8888/ems-proxy/image-interface/showDetail/queryZBImagePath.do",
    "output": "../dist"
  }
};

module.exports = config;
