import axios from "axios";
const $axios = axios.create({
  headers: {
    "Content-Type": "application/json;charset=UTF-8"
  }
});
$axios.interceptors.request.use(
  config => {
    
    config.headers.crctoken = window.sessionStorage.getItem("crctoken") || "";
    // 统一设置接口语言
    // if (config.method === "post") {
    //   const lang = window.localStorage.getItem('lang') || 'zh-CN'
    //   config.data.lang = lang;
    // } else {
    //   const q = config.url.indexOf("?") > -1 ? '&' : '?';
    //   config.url = `${config.url}${q}lang=${lang}`
    // }
    return config;
  },
  error => {
    return Promise.reject(error);
  }
);

$axios.interceptors.response.use(
  response => {
    const { config, data, status } = response;
    return {
      data,
      status
    };
  },
  error => {
    try {
      if (error.response.data.message) {
        return Promise.reject(error);
      }
    } catch(err) {
      $Message.error(`${error.message}：${error.config.url}，请咨询管理员`);
    }
    return Promise.resolve({
      data: {
        msg: "业务繁忙，请稍后重试",
        code: -1
      }
    });
  }
);

export default $axios;
