import { mapState, mapGetters, mapActions, mapMutations } from "vuex";
import util from "@accountingSrc/tools/utils.js";
const urlParams = util.getUrlParams();

export default {
  data() {
    return {
      urlParams, // URL参数序列化对象
      showApp: false
    }
  },
  computed: {
    ...mapState({
      userEmpInfo: state => state.userEmpInfo, // 当前员工信息
    }),
    ...mapGetters([
      "$lang", // 语言
      "LoginUserId",//当前登陆用户Id
      "LoginUserName",//当前登陆用户 名字
      "LoginUserLdapId",//当前登陆用户Ldap
      "businessLineCode",//业务线
    ]),
    // 当前用户头像
    avatorPath() {
      return this.LoginUserLdapId
        ? `https://push.crc.com.cn:8888/empPhoto/rest/getPhoto/person/${this.LoginUserLdapId.toLowerCase()}`
        : "";
    }
  },
  mounted() {
  },
  beforeDestroy() {
  },
  methods: {
    ...mapActions(["FindCurrentEmployee", "GetSysNavInfo"]),
    // 初始化用户信息数据
    async getLoginUserInfo() {
      this.showApp = false;
      const empInfo = await this.FindCurrentEmployee();
      if (empInfo) {
        const navInfo = await this.GetSysNavInfo();
        if (navInfo == 'nologin') {
          return this.$router.push({ name: 'login' })
        }
        if (navInfo) {
          this.showApp = true;
        }
      }
    },

  }
}
