export const DeletedAccountingGroup = (param = {}) => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/group/delete/' + param, {}).then((response) => {
      resolve(response.data);
    }).catch((error) => {
      const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
      resolve(responseData);
    });
  });
};

export const SaveAccountingGroup = (param) => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/group/save2update', param.accountantGroup).then((response) => {
      resolve(response.data);
    }).catch((error) => {
      const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
      resolve(responseData);
    });
  });
};

export const QueryAccountingGroupById = (param) => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/group/query/' + param.groupId, {}).then((response) => {
      resolve(response.data);
    }).catch((error) => {
      const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
      resolve(responseData);
    });
  });
};

export const FindAllSubEmployees = (param) => {
  return new Promise((resolve) => {
    $axios.post(`/ems-base-application/mams/sysorg/findAllSubEmployees/${param.orgId}`, {}).then((response) => {
      resolve(response.data);
    }).catch((error) => {
      const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
      resolve(responseData);
    });
  });
};
