const DISPATCH_HOST = '/ems-shared-dispatch-application';
const SUCCESS_CODE = 'S000A000';
import axios from '../../../api/axios';
class Server {
  constructor() {
    this.OK = 200;
  };

  fetchDataGet(url) {
    return new Promise((resolve) => {
      $axios.get(url).then((response) => {
        console.log('get---response:', response);
        resolve(response);
      }).catch((error) => {
        const responseData = {
          dataResult: [],
          extra: '',
          msg: (error.response.data.message || '服务器异常， 请联系管理员'),
          statusCode: '-1'
        };
        resolve(responseData);
      });
    });
  }
  fetchDataPost(url, param = {}, masterListType = false) {
    return new Promise((resolve) => {
      $axios.post(url, param).then((response) => {
        console.log('Server---response:', response);
        if (masterListType) {
          if (response.status === this.OK) {
            const res = {
              data: {
                list: response.data.list,
                pageNum: response.data.pageNum,
                total: response.data.total
              }
            };
            resolve(res);
          }
        } else {
          resolve(response);
        }
      }).catch((error) => {
        const responseData = {
          dataResult: [],
          extra: '',
          msg: (error.response.data.message || '服务器异常， 请联系管理员'),
          statusCode: '-1'
        };
        $app.$Message.error({
          content: '服务器异常， 请联系管理员',
          duration: 5
        });
        resolve(responseData);
      });
    });
  };
  // 查询会计岗位时间设置列表
  getAccountingPostTimeList = param => {
    if (param) {
      return this.fetchDataPost(`${DISPATCH_HOST}/accountRuleWorkTime/selectByPage`, param, true);
    }
  };
  // 新增编辑会计岗位时间设置
  saveAccountingPostTimeSetItem = param => {
    if (param) {
      return this.fetchDataPost(`${DISPATCH_HOST}/accountRuleWorkTime/saveOrUpdate`, param, false);
    }
  };
  // 新增编辑会计岗位时间设置
  deleteAccountingPostTimeSetItem = param => {
    if (param) {
      return this.fetchDataPost(`${DISPATCH_HOST}/accountRuleWorkTime/deleteById`, param, false);
    }
  };
    /**
   * 根据值集代码查询值集
   */
  queryValueSetByCode(param) {
    return new Promise((resolve) => {
      $axios.get(`/ems-base-application/mams/sys/valueset/item/list/${param.code}`).then((response) => {
        const result = [];
        for (const item of response.data.dataResult) {
          result.push({
            label: item.vsiValue,
            value: item.vsiKey,
            pageIsolationRules: item.pageIsolationRules
          });
        }
        resolve(result);
      }).catch((error) => {
        const responseData = {
          dataResult: [],
          extra: '',
          msg: (error.response.data.message || '服务异常，请联系管理员'),
          statusCode: '-1'
        };
        resolve(responseData);
      });
    });
  }
}
const server = new Server();
export default server;
