import accounting from 'accounting';
export default function (self) {
  return [{
    type: 'selection',
    width: 40,
    align: 'center'
  },
  {
    title: '单据编号',
    align: 'center',
    width: 220,
    key: 'claimNum',
    render: (h, params) => {
      return h('RowTools', {
        props: {
          data: [{
            text: params.row.claimNum,
            handle: () => {
              self.openTask(params.row);
            }
          }]
        }
      });
    }
  },
  {
    title: '归属公司',
    align: 'center',
    minWidth: 140,
    key: 'ouName'
  },
  {
    title: '申请人',
    align: 'center',
    width: 120,
    key: 'applicant'
  },
  {
    title: '费用大类',
    align: 'center',
    minWidth: 150,
    key: 'categoryName'
  },
  {
    title: '报账金额',
    align: 'center',
    width: 120,
    key: 'claimAmount',
    render: (h, params) => {
      const val = accounting.formatNumber(params.row.claimAmount, 2);
      return h(
        'div',
        {
          attrs: {
            class: 'ivu-table-cell-ellipsis',
            title: val || ''
          }
        },
        val || ''
      );
    }
  },
  {
    title: '申请日期',
    align: 'center',
    width: 140,
    key: 'applicationDate'
  },
  {
    title: '到达日期',
    align: 'center',
    width: 160,
    key: 'arrivalDate'
  }
  ];
}
