import miment from 'miment';
export default function(self) {
  return [
    {
      type: 'selection',
      width: 50,
      align: 'left',
      resizable: true
    },
    {
      title: '报账单号',
      align: 'left',
      width: 220,
      key: 'claimNo',
      resizable: true,
      render: (h, params) => {
        return h('RowTools', {
          props: {
            data: [
              {
                text: params.row.claimNo || '',
                handle: () => {
                  self.openTask(params.row);
                }
              }
            ]
          }
        });
      }
    },
    {
      title: '信息',
      align: 'left',
      width: 140,
      key: 'fmsMessage',
      resizable: true,
      render: (h, params) => {
        const val = params.row.log && params.row.log.fmsMessage ? params.row.log.fmsMessage : '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '发票编号',
      align: 'left',
      minWidth: 200,
      key: 'invoiceNum',
      resizable: true,
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
              title: params.row.invoiceNum || ''
            }
          },
          params.row.invoiceNum || ''
        );
      }
    },
    {
      title: '批名',
      align: 'left',
      width: 200,
      key: 'batchNum',
      resizable: true,
      render: (h, params) => {
        const val = params.row.log && params.row.log.batchNum ? params.row.log.batchNum : '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '总账期间',
      align: 'left',
      width: 140,
      key: 'glDate',
      resizable: true,
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.glDate
            }
          },
          params.row.glDate
        );
      }
    },
    {
      title: '归属公司',
      align: 'left',
      minWidth: 220,
      key: 'orgName',
      resizable: true,
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.orgName || ''
            }
          },
          params.row.orgName || ''
        );
      }
    },
    {
      title: '业务大类',
      align: 'left',
      width: 140,
      key: 'categoryName',
      resizable: true,
      render: (h, params) => {
        const val = params.row.categoryName || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '摘要',
      align: 'left',
      width: 140,
      resizable: true,
      key: 'voucherDescription',
      render: (h, params) => {
        const val = params.row.voucherDescription || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '会计',
      align: 'left',
      width: 140,
      key: 'claimmaker',
      resizable: true,
      render: (h, params) => {
        const val = params.row.claimmaker || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '核算小组',
      align: 'left',
      width: 140,
      key: 'groupName',
      resizable: true,
      render: (h, params) => {
        const val = params.row.groupName || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    }
  ];
}
