export default function(self) {
  return [
    {
      title: '事件编号',
      width: 80,
      align: "left",
      resizable: true,
      // key: "claimEventNo",
      key: 'eventCode',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.eventCode
            }
          },
          params.row.eventCode
        );
      }
    },
    {
      title: '事件类型',
      width: 80,
      key: 'eventName',
      align: "left",
      resizable: true,
      render: (h, params) => {
        const val = params.row.eventName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '事件优先级',
      align: "left",
      resizable: true,
      width: 90,
      key: 'eventPriority',
      render: (h, params) => {
        const val = params.row.eventPriority;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '报账单号',
      align: "left",
      resizable: true,
      width: 220,
      key: 'claimNo',
      render: (h, params) => {
        return h('RowTools', {
          props: {
            data: [
              {
                text: params.row.claimNo,
                handle: () => {
                  self.openTask(params.row);
                }
              }
            ]
          }
        });
      }
    },
    {
      title: '发票编号',
      align: "left",
      resizable: true,
      width: 200,
      key: 'invoiceNum',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.invoiceNum
            }
          },
          params.row.invoiceNum
        );
      }
    },
    {
      title: '批名',
      align: "left",
      resizable: true,
      width: 180,
      key: 'batchNum',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.batchNum
            }
          },
          params.row.batchNum
        );
      }
    },
    {
      title: '总账期间',
      align: "left",
      resizable: true,
      width: 140,
      key: 'glDate',
      render: (h, params) => {
        const val = params.row.glDate;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '生成发票日期',
      align: "left",
      resizable: true,
      width: 140,
      key: 'invoceGenerateDate',
      render: (h, params) => {
        // const val = params.row.invoceGenerateDate ? new Date(params.row.invoceGenerateDate).Format('YYYY-MM-dd hh:mm') : '';
        const val = params.row.invoceGenerateDate;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '归属公司',
      align: "left",
      resizable: true,
      minWidth: 220,
      key: 'orgName',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.orgName
            }
          },
          params.row.orgName
        );
      }
    },
    {
      title: '业务大类',
      align: "left",
      resizable: true,
      width: 140,
      key: 'categoryName',
      render: (h, params) => {
        const val = params.row.categoryName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '摘要',
      align: "left",
      resizable: true,
      minWidth: 140,
      key: 'voucherDescription',
      render: (h, params) => {
        const val = params.row.voucherDescription;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '核算小组',
      align: "left",
      resizable: true,
      width: 140,
      key: 'groupName',
      render: (h, params) => {
        const val = params.row.groupName || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '会计',
      align: "left",
      width: 140,
      key: 'claimmaker',
      render: (h, params) => {
        const val = params.row.claimmaker;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    }
  ];
}
