import util from "@accountingSrc/tools/utils";
export default function(self) {
  return [
    {
      type: 'selection',
      width: 60,
      fixed: 'left',
      resizable: true,
      align: 'left'
    },
    {
      type: 'index',
      width: 60,
      resizable: true,
      align: 'left',
      fixed: 'left',
      title: '序号'
    },
    {
      title: '单据编号',
      align: 'left',
      width: 200,
      resizable: true,
      key: 'claimNo',
      render: (h, params) => {
        return h('RowTools', {
          props: {
            data: [
              {
                text: params.row.claimNo || '',
                handle: () => {
                  self.openTask(params.row);
                }
              }
            ]
          }
        });
      }
    },
    {
      title: 'SAP凭证号',
      align: 'left',
      width: 120,
      resizable: true,
      key: 'sapDocNo',
      render: (h, param) => {
        const val = param.row.sapDocNo || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
      
    },
    {
      title: '付款状态',
      align: 'left',
      width: 120,
      resizable: true,
      key: 'sapPayFinish',
      render: (h, param) => {
        // const val = param.row.sapPayFinish == 'Y' ? '已付款' : '未付款';
        const val = self.interfaceStatus && self.interfaceStatus[param.row.sapPayFinish]; 
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '记账日期',
      align: 'left',
      width: 120,
      resizable: true,
      key: 'sapDocPostDate',
      render: (h, param) => {
        const val = util.formatToDate(param.row.sapDocPostDate);
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: 'BG',
      align: 'left',
      width: 120,
      resizable: true,
      key: 'bgName',
      render: (h, param) => {
        const val = param.row.bgName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '公司',
      align: 'left',
      width: 180,
      resizable: true,
      key: 'companyName',
      render: (h, param) => {
        const val = param.row.companyName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '业务类别',
      align: 'left',
      width: 140,
      resizable: true,
      key: 'categoryName',
      render: (h, param) => {
        const val = param.row.categoryName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    
    {
      title: '会计',
      align: 'left',
      width: 100,
      resizable: true,
      key: 'accountName',
      render: (h, param) => {
        const val = param.row.accountName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '核算小组',
      align: 'left',
      width: 180,
      resizable: true,
      key: 'accountGroupName',
      render: (h, param) => {
        const val = param.row.accountGroupName;
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: 'SAP生成日期',
      align: 'left',
      minWidth: 140,
      key: 'createSapTime',
      render: (h, param) => {
        const val = util.formatToDate(param.row.createSapTime, true);
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    }
  ];
}
