export default class Server {
  constructor(params) {
    this.OK = 200;
  }

  fetchDataPost(url, param = {}, masterListType = false) {
    return new Promise((resolve) => {
      $axios.post(url, param).then((response) => {
        if (response.status === this.OK) {
          resolve(response);
        }
      }).catch((error) => {
        const responseData = {
          dataResult: [],
          extra: '',
          msg: (error.response.data.message || '服务器异常， 请联系管理员'),
          statusCode: '-1'
        };
        $app.$Message.error({
          content: '服务器异常， 请联系管理员',
          duration: 5
        });
        resolve(responseData);
      });
    });
  };
  // 待导入ERP：/ems-claim/importErpFms/downloadImportFailedList
  // 待ERP生成发票：/ems-claim/importErpFms/downloadFMSFailedList
  // 已生成发票：/ems-claim/importErpFms/downloadImportFMSSuccessList

  // 导出待导入ERP
  exportWillImportData(param) {
    const url = `/ems-account-service/importFms/downloadImportableList?params=${JSON.stringify(param)}`;
    return window.open(encodeURI(encodeURI(url)), '_blank');
    // return new Promise((resolve) => {
    //   $axios.get(`${process.env.API.claimURL}/importErpFms/downloadImportFailedList`, param).then((response) => {
    //     resolve(response);
    //   })
    //     .catch((error) => {
    //       let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
    //       resolve(responseData);
    //     })
    // })
  }

  // 导出待ERP生成发票
  exportWillCreatetData(param) {
    const url = `/ems-account-service/importFms/downloadImportingList?params=${JSON.stringify(param)}`;
    return window.open(encodeURI(encodeURI(url)), '_blank');
    // return new Promise((resolve) => {
    //   $axios.post(`${process.env.API.emsAccountingUrl}/importErpFms/downloadFMSFailedList`, param).then((response) => {
    //     resolve(response);
    //   })
    //     .catch((error) => {
    //       let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
    //       resolve(responseData);
    //     })
    // })
  }

  // 导出ERP已生成发票
  exportHasCreatedData(param) {
    const url = `/ems-account-service/importFms/downloadImportedList?params=${JSON.stringify(param)}`;
    window.open(encodeURI(encodeURI(url)), '_blank');
    // return new Promise((resolve) => {
    //   $axios.post(`${process.env.API.claimURL}/importErpFms/downloadImportFMSSuccessList`, param).then((response) => {
    //     resolve(response);
    //   })
    //     .catch((error) => {
    //       let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
    //       resolve(responseData);
    //     })
    // })
  }

  // 查询核算小组
  getCheckGroups(param) {
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-account-service/group/findByNameOrType?groupType=${param.groupType}`,
          param
        )
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询待导入ERP、待ERP生成、已生成发票汇总信息
  getAllAccounting(param) {
    return new Promise(resolve => {
      $axios
        .get(
          '/bill-service/sapInterfaceMonitor/findSapInterfaceMonitorInfoCount',
          param
        )
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询待导入ERP
  getERPWillImport(param) {
    if(param.params){
      param.params = Object.assign(param.params,{"queryType":"waitImport"});
    }
    console.log(1,param);
    return new Promise(resolve => {
      $axios
        .post(
          '/bill-service/sapInterfaceMonitor/findSapInterfaceMonitorInfo',
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 导入ERP
  importToERP(param) {
    return this.fetchDataPost('/bill-service/sapInterfaceMonitor/importSapStatus/'+param,);
  }

  // 编辑内容
  editContent(param) {
    return this.fetchDataPost('/bill-service/sapInterfaceMonitor/editImportFailedAndBackProcess/' + param);
  }

  // 查询待ERP生成发票
  getWillCreatedBill(param) {
    if(param.params){
      param.params = Object.assign(param.params,{"queryType":"waitCreate"});
    }
    console.log(2,param);
    return new Promise(resolve => {
      $axios
        .post(
          '/bill-service/sapInterfaceMonitor/findSapInterfaceMonitorInfo',
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          console.log(error);
          const responseData = {
            dataResult: [],
            extra: '',
            msg: '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 更新状态
  updateStatus(param) {
    return new Promise(resolve => {
      $axios
        .post(
          '/bill-service/sapInterfaceMonitor/updateStatus/'+param,
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 更新付款状态
  updatePayStatus(param) {
    return new Promise(resolve => {
      $axios
        .post(
          '/bill-service/sapInterfaceMonitor/updatePayStatus/'+param,
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询ERP已生成发票
  getHasCreatedBill(param) {
    if(param.params){
      param.params = Object.assign(param.params,{"queryType":"alreadyCreate"});
    }
    console.log(2,param);
    return new Promise(resolve => {
      $axios
        .post(
          '/bill-service/sapInterfaceMonitor/findSapInterfaceMonitorInfo',
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          console.error(error);
          const responseData = {
            dataResult: [],
            extra: '',
            msg: '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  getSourceServiceList(param) {
    return this.fetchDataPost('/ems-account-service/sourceService/findSourceServicePage', param);
  }

  getCompanylist(param) {
    return this.fetchDataPost('/ems-base-application/mdOu/queryForPage', param);
  }

  queryAllBusinessType(param) {
    return this.fetchDataPost('/ems-base-application/category/buildCategoryTreeByBuAndOu', param);
  }

  queryAccountingTeamTree(param) {
    return this.fetchDataPost('/ems-shared-dispatch-application/shared/org/authorityTree', param);
  }

  queryProcessInfoByClaimNo(param) {
    return this.fetchDataPost(`/ems-utservice/claimProcessTaskMgr/myclaimhisbyclaimno/${param.claimNo}`);
  }

  queryReceiveInfoByClaimNo(param) {
    return this.fetchDataPost('/receive-service/receivable/queryReceivable', param);
  }
}
