import { DataSelect, util } from 'ems-components-new';

export default function columnsFn() {
  const that = this;
  return [
    {
      type: 'selection',
      width: 60,
      resizable: true,
      align: 'center'
    },
    {
      title: `${that.$t('操作')}`,
      align: 'left',
      resizable: true,
      width: 90,
      render: (h, params) => {
        // return <div class="table-actions row-tools-new">
        //   <Tooltip content={that.$t('查看')} placement="top">
        //     <a href="javascript:;" class="t-action-btn iconfont iconchakan-baise" on-click={() => that.handleView(params.row)} ></a>
        //   </Tooltip>
        //   <Tooltip content={that.$t('编辑')} placement="top">
        //     <a href="javascript:;" class="t-action-btn iconfont iconbianji-hei" on-click={() => that.handleEdit(params.row)} ></a>
        //   </Tooltip>
        // </div>;
        return h("RowTools", {
          props: {
            data: [
              {
                type: 'icon',
                icon: 'icon iconfont iconchakan-heise', 
                text: this.$t("查看"),
                class: this.resourceHideClass['PRIORITY-SETTING_BTN-DETAIL'] ? 'isHideResource' : '',
                handle: () => {
                  that.handleView(params.row);
                },
              },
              {
                type: 'icon',
                icon: 'icon iconfont iconbianji-hei',                    
                text: this.$t("编辑"),
                class: this.resourceHideClass['PRIORITY-SETTING_BTN-EDIT'] ? 'isHideResource' : '',
                handle: () => {
                  that.handleEdit(params.row);
                },
              },
            ],
          },
        });
      }
    },
    {
      title: this.$t('序号'),
      type: 'index',
      width: 60,
      resizable: true
    },
    {
      title: `${that.$t('优先级规则编码')}`,
      resizable: true,
      key: 'priorityCode',
      render: (h, params) => {
        return util.renderText(h, params.row.priorityCode);
      }
    },
    {
      title: `${that.$t('优先级规则名称')}`,
      resizable: true,
      key: 'priorityName',
      render: (h, params) => {
        return util.renderText(h, params.row.priorityName);
      }
    },
    {
      title: `${that.$t('描述')}`,
      resizable: true,
      key: 'priorityDesc',
      render: (h, params) => {
        return util.renderText(h, params.row.priorityDesc);
      }
    },
    {
      title: `${that.$t('组织类型')}`,
      resizable: true,
      key: 'orgType',
      render: (h, params) => {
        return <DataSelect vindex={params.index} code="Fssc_Org_Type" value={`${params.row.orgType}`} readonly />;
      }
    },
    {
      title: `${that.$t('组织编码')}`,
      resizable: true,
      key: 'sharedOrgCode',
      render: (h, params) => {
        return util.renderText(h, params.row.sharedOrgCode);
      }
    },
    {
      title: `${that.$t('组织名称')}`,
      resizable: true,
      key: 'sharedOrgName',
      render: (h, params) => {
        return util.renderText(h, params.row.sharedOrgName);
      }
    },
    {
      title: `${that.$t('优先级规则定义')}`,
      resizable: true,
      render: (h, params) => {
        return <a href="javascript:;" class={that.resourceHideClass['PRIORITY-SETTING_BTN-PRIORITY'] ? 'isHideResource' : ''} on-click={() => that.handleDetailEdit(params.row)} >{that.$t('优先级规则定义')}</a>;
      }
    },
    {
      title: `${that.$t('启用')}`,
      resizable: true,
      key: 'enabled',
      width: 80,
      render: (h, params) => {
        return <DataSelect vindex={params.index} code="YES_OR_NO" value={`${params.row.enabled}`} readonly />;
      }
    }

  ];
}
