import { DataSelect, SelectEmployee, util } from 'ems-components-new';
import ValueItem from '../valueItem/Index';

export default function columnsFn() {
  const that = this;
  const cols = [
    {
      name: '操作',
      title: `${that.$t('操作')}`,
      resizable: true,
      align: 'center',
      width: 80,
      render: (h, params) => {
        return <div class="table-actions">
          <Tooltip content={that.$t('删除')} placement="top">
            {
              !that.readonly
                ? <a href="javascript:;" class={that.resourceHideClass['PRIORITY-DETAIL_BTN-DELATE'] ? 'isHideResource' : 'table-actions-item iconfont iconchunseshanchu'} on-click={() => that.handleDel(params)} ></a>
                : <a href="javascript:;" class={that.resourceHideClass['PRIORITY-DETAIL_BTN-DELATE'] ? 'isHideResource' : 'table-actions-item iconfont iconchunseshanchu'} style="color:#C7C8CC"></a>
            }

          </Tooltip>
        </div>;
      }
    },
    {
      type: 'index',
      width: 60,
      resizable: true,
      title: `${that.$t('编号')}`
    },
    {
      title: `${that.$t('申请人')}`,
      resizable: true,
      key: 'applicant',
      render: (h, params) => {
        return <SelectEmployee
          size="small"
          disabled={that.readonly}
          isShowCheckbox={false}
          title={`${that.$t('请选择')}${that.$t('申请人')}`}
          v-model={params.row.applicantName}
          selectedItems={params.row.applicant ? `${params.row.applicant}|${params.row.applicantName}` : ''}
          on-handleSelect={
            (data) => {
              if (data[0]) {
                that.$set(that.tableData[params.index], 'applicant', data[0].code);
                that.$set(that.tableData[params.index], 'applicantName', data[0].title);
              } else {
                that.$set(that.tableData[params.index], 'applicant', '');
                that.$set(that.tableData[params.index], 'applicantName', '');
              }
            }
          }
        />;
      }
    },
    {
      title: `${that.$t('启用')}`,
      resizable: true,
      key: 'enabled',
      renderHeader: (h, params) => {
        return util.renderRedHeader(h, `${that.$t('启用')}`);
      },
      render: (h, params) => {
        return <FormItem prop={`[${params.index}].enabled`} rules={[{ required: true, message: that.$t('请选择启用') }]}>
          <DataSelect
            size="small"
            disabled={that.readonly}
            vindex={params.index}
            v-model={that.tableData[params.index].enabled}
            code="YES_OR_NO"
          />
        </FormItem>;
      }
    }

  ];

  const segment = (o = {}) => {
    const segmentFlag = o.key == 'segment3' || o.key == 'segment4';
    return {
      title: `${that.$t(o.title)}`,
      resizable: true,
      key: `${o.key}`,
      render: (h, params) => {
        return segmentFlag ? <SelectInput
          disabled={that.readonly || o.disabled}
          title={o.title}
          v-model={params.row[`${o.key}Name`]}
          width="500"
          component="SelectDispatchTree"
          clearable
          queryOpts={{
            dimensionId: o.dimensionId
          }}
          on-handleSelect={
            (data) => {
              if (data.valueName) {
                that.$set(that.tableData[params.index], o.key, data.id);
                that.$set(that.tableData[params.index], `${o.key}Name`, data.valueName);
              } else {
                that.$set(that.tableData[params.index], o.key, '');
                that.$set(that.tableData[params.index], `${o.key}Name`, '');
              }
            }
          }
        ></SelectInput> : <ValueItem
          disabled={that.readonly || o.disabled}
          title={o.title}
          v-model={params.row[`${o.key}Name`]}
          dimensionId={o.dimensionId}
          on-handleSelect={
            (data) => {
              if (data.valueName) {
                that.$set(that.tableData[params.index], o.key, data.id);
                that.$set(that.tableData[params.index], `${o.key}Name`, data.valueName);
              } else {
                that.$set(that.tableData[params.index], o.key, '');
                that.$set(that.tableData[params.index], `${o.key}Name`, '');
              }
            }
          } />;
      }
    };
  };

  that.segments.map(item => {
    const s = segment({
      title: item.dimensionName,
      key: item.segment,
      dimensionId: item.dimensionId,
      disabled: item.enabled == '0'
    });

    cols.splice(3, 0, s);
  });

  return cols;
}
