import { DataSelect, util } from 'ems-components-new';

export default function columnsFn() {
  const that = this;
  return [
    {

      width: 60,
      type: "index",
      align: 'center',
      resizable: true,
    },    
    {
      title: this.$t('值代码'),
      align: 'left',
      resizable: true,
      render: (h, params) => {
        return util.renderText(h, params.row.valueCode);
      }
    },
    {
      title: this.$t('值名称'),
      width: 220,
      align: 'left',
      resizable: true,
      render: (h, params) => {
        return util.renderText(h, params.row.valueName);
      }
    },
    {
      title: this.$t('层级'),
      width: 60,
      align: 'left',
      resizable: true,
      render: (h, params) => {
        return util.renderText(h, params.row.valueLevel);
      }
    },
    {
      title: this.$t('父值名称'),
      align: 'left',
      resizable: true,
      key: 'parentName',
      render: (h, params) => {
        return util.renderText(h, params.row.parentName);
      }
    },
    {
      title: this.$t('父值代码'),
      align: 'left',
      key: 'parentCode',
      resizable: true,
      render: (h, params) => {
        return util.renderText(h, params.row.parentCode);
      }
    },
    {
      title: this.$t('有效日期'),
      align: 'left',
      key: 'effectStartTime',
      width: 170,
      resizable: true,
      render: (h, params) => {
        return `${util.renderText(h, params.row.effectStartTime)} - ${util.renderText(h, params.row.effectEndTime)}`;
      }
    },
    {
      title: this.$t('启用'),
      width: 60,
      align: 'left',
      key: 'enabled',
      render: (h, params) => {
        return <DataSelect vindex={params.index} code="YES_OR_NO" value={params.row.enabled} readonly />;
      }
    }
  ];
}
