import miment from 'miment';
export default function(self) {
  return [{
    type: 'selection',
    width: 40,
    align: 'center'
  },
  {
    title: '报账单号',
    align: 'center',
    width: 220,
    key: 'claimNo',
    render: (h, params) => {
      return h('RowTools', {
        props: {
          data: [
            {
              text: params.row.claimNo,
              handle: () => {
                self.openTask(params.row);
              }
            }
          ]
        }
      });
    }
  },
  {
    title: '失败信息',
    align: 'center',
    width: 140,
    key: 'fmsStatus',
    render: (h, params) => {
      const val = params.row.log.fmsMessage;
      return h(
        'div',
        {
          attrs: {
            class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
            title: val
          }
        },
        val
      );
    }
  },
  {
    title: '发票编号',
    align: 'center',
    minWidth: 140,
    key: 'invoiceNum',
    render: (h, params) => {
      return h(
        'div',
        {
          attrs: {
            class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
            title: params.row.invoiceNum
          }
        },
        params.row.invoiceNum
      );
    }
  },
  {
    title: '批名',
    align: 'center',
    width: 140,
    key: 'batchNum',
    render: (h, params) => {
      return h(
        'div',
        {
          attrs: {
            class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
            title: params.row.log.batchNum || ''
          }
        },
        params.row.log.batchNum || ''
      );
    }
  },
  {
    title: '总账期间',
    align: 'center',
    width: 140,
    key: 'glDate',
    render: (h, params) => {
      return h(
        'div',
        {
          attrs: {
            class:
              'ivu-table-cell ivu-table-cell-ellipsis',
            title: miment(params.row.glDate).format('YYYY-MM')
          }
        },
        miment(params.row.glDate).format('YYYY-MM')
      );
    }
  },
  {
    title: '导入ERP日期',
    align: 'center',
    width: 140,
    key: 'log',
    render: (h, params) => {
      const val = params.row.log.sendDate || '';
      return h(
        'div',
        {
          attrs: {
            class: 'ivu-table-cell-ellipsis',
            title: val
          }
        },
        val
      );
    }
  },
  {
    title: '归属公司',
    align: 'center',
    minWidth: 220,
    key: 'orgName',
    render: (h, params) => {
      return h(
        'div',
        {
          attrs: {
            class: 'ivu-table-cell-ellipsis',
            title: params.row.orgName
          }
        },
        params.row.orgName
      );
    }
  },
  {
    title: '业务大类',
    align: 'center',
    width: 140,
    key: 'categoryName'
  },
  {
    title: '摘要',
    align: 'center',
    width: 140,
    key: 'summary'
  },
  {
    title: '会计',
    align: 'center',
    width: 140,
    key: 'advanceAccountantName'
  }
  ];
}
