export default function(self) {
  return [
    {
      title: '事件编号',
      align: 'center',
      width: 150,
      // key: "claimEventNo",
      key: 'eventCode',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.eventCode
            }
          },
          params.row.eventCode
        );
      }
    },
    {
      title: '事件类型',
      align: 'center',
      width: 150,
      key: 'eventName'
    },
    {
      title: '事件优先级',
      align: 'center',
      width: 150,
      key: 'eventPriority'
    },
    {
      title: '报账单号',
      align: 'center',
      width: 220,
      key: 'claimNo',
      render: (h, params) => {
        return h('RowTools', {
          props: {
            data: [
              {
                text: params.row.claimNo,
                handle: () => {
                  self.openTask(params.row);
                }
              }
            ]
          }
        });
      }
    },
    {
      title: '发票编号',
      align: 'center',
      width: 120,
      key: 'invoiceNum',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.invoiceNum
            }
          },
          params.row.invoiceNum
        );
      }
    },
    {
      title: '批名',
      align: 'center',
      width: 120,
      key: 'batchNum',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.batchNum
            }
          },
          params.row.batchNum
        );
      }
    },
    {
      title: '总账期间',
      align: 'center',
      width: 140,
      key: 'glDate'
    },
    {
      title: '生成发票日期',
      align: 'center',
      width: 140,
      key: 'log.updateTime',
      render: (h, params) => {
        const val = params.row.log.updateTime || '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '归属公司',
      align: 'center',
      minWidth: 220,
      key: 'orgName',
      render: (h, params) => {
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: params.row.orgName
            }
          },
          params.row.orgName
        );
      }
    },
    {
      title: '业务大类',
      align: 'center',
      width: 140,
      key: 'categoryName'
    },
    {
      title: '摘要',
      align: 'center',
      width: 140,
      key: 'summary'
    },
    {
      title: '核算小组',
      align: 'center',
      width: 140,
      key: 'approveEndGroupName'
    },
    {
      title: '会计',
      align: 'center',
      width: 140,
      key: 'advanceAccountantName'
    }
  ];
}
