export default class Server {
  constructor(params) { }
  // 待导入ERP：/ems-claim/importErpFms/downloadImportFailedList
  // 待ERP生成发票：/ems-claim/importErpFms/downloadFMSFailedList
  // 已生成发票：/ems-claim/importErpFms/downloadImportFMSSuccessList

  // 导出待导入ERP
  exportWillImportData(param) {
    const url = `/ems-account-service/importFms/downloadImportableList?params=${JSON.stringify(param)}`;
    return window.open(encodeURI(encodeURI(url)), '_blank');
    // return new Promise((resolve) => {
    //   $axios.get(`${process.env.API.claimURL}/importErpFms/downloadImportFailedList`, param).then((response) => {
    //     resolve(response);
    //   })
    //     .catch((error) => {
    //       let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
    //       resolve(responseData);
    //     })
    // })
  }

  // 导出待ERP生成发票
  exportWillCreatetData(param) {
    const url = `/ems-account-service/importFms/downloadImportingList?params=${JSON.stringify(param)}`;
    return window.open(encodeURI(encodeURI(url)), '_blank');
    // return new Promise((resolve) => {
    //   $axios.post(`${process.env.API.emsAccountingUrl}/importErpFms/downloadFMSFailedList`, param).then((response) => {
    //     resolve(response);
    //   })
    //     .catch((error) => {
    //       let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
    //       resolve(responseData);
    //     })
    // })
  }

  // 导出ERP已生成发票
  exportHasCreatedData(param) {
    const url = `/ems-account-service/importFms/downloadImportedList?params=${JSON.stringify(param)}`;
    window.open(encodeURI(encodeURI(url)), '_blank');
    // return new Promise((resolve) => {
    //   $axios.post(`${process.env.API.claimURL}/importErpFms/downloadImportFMSSuccessList`, param).then((response) => {
    //     resolve(response);
    //   })
    //     .catch((error) => {
    //       let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
    //       resolve(responseData);
    //     })
    // })
  }

  // 查询核算小组
  getCheckGroups(param) {
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-account-service/group/findByNameOrType?groupType=${param.groupType}`,
          param
        )
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询待导入ERP、待ERP生成、已生成发票汇总信息
  getAllAccounting(param) {
    return new Promise(resolve => {
      $axios
        .post(
          '/ems-account-service/importFms/findImportCount',
          param
        )
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询待导入ERP
  getERPWillImport(param) {
    return new Promise(resolve => {
      $axios
        .post(
          '/ems-account-service/importFms/getImportableVoucherHeadPage',
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 导入ERP
  importToERP(param) {
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-account-service/importFms/importFms/${
          param.ids
          }`,
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 编辑内容
  editContent(param) {
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-account-service/importFms/editImportFailedAndBackProcess/${param.claimNos}/${
          param.comment
          }`,
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询待ERP生成发票
  getWillCreatedBill(param) {
    return new Promise(resolve => {
      $axios
        .post(
          '/ems-account-service/importFms/getImportingVoucherHeadPage',
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 更新状态
  updateStatus(param) {
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-account-service/importFms/updateStatus/${
          param.ids
          }`,
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: error.response.data.message || '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }

  // 查询ERP已生成发票
  getHasCreatedBill(param) {
    return new Promise(resolve => {
      $axios
        .post(
          '/ems-account-service/importFms/getImportedVoucherHeadPage',
          param
        )
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          const responseData = {
            dataResult: [],
            extra: '',
            msg: '服务异常，请联系管理员',
            statusCode: '-1'
          };
          resolve(responseData);
        });
    });
  }
}
