import accounting from 'accounting';
import miment from 'miment';
export default function (self) {
  return [
    {
      type: 'selection',
      width: 50,
      align: 'left',
      resizable: true
    },
    {
      title: '行号',
      type: 'index',
      width: 60,
      align: 'left',
      resizable: true
    },
    {
      title: '单据编号',
      align: 'left',
      width: 220,
      key: 'claimNo',
      resizable: true,
      render: (h, params) => {
        return (
          <a
            title={`${params.row.failedMsg ? params.row.failedMsg : ''}`}
            on-click={self.openTask.bind(this, params.row)}
            class={params.row.autoAssignStatus == 1 ? 'success' : 'failed'}
          >
            {params.row.claimNo}
          </a>
        );
        // return h("RowTools", {
        //   props: {
        //     data: [{
        //       text: params.row.claimNo,
        //       handle: () => {
        //         self.openTask(params.row);
        //       }
        //     }]
        //   },
        //   attrs: {
        //     class: params.row.autoAssignStatus == 1 ? 'success' : 'failed'
        //   }
        // });
      }
    },
    {
      title: '公司',
      align: 'left',
      minWidth: 140,
      key: 'applicantOuCodeName',
      resizable: true
    },
    {
      title: '组织',
      align: 'left',
      minWidth: 140,
      key: 'applicantOrgName',
      resizable: true
    },
    {
      title: '申请人',
      align: 'left',
      width: 120,
      key: 'applicantName',
      resizable: true
    },
    {
      title: '业务类别',
      align: 'left',
      minWidth: 150,
      key: 'businessTypeName',
      resizable: true
    },
    {
      title: '报账金额',
      align: 'right',
      width: 120,
      key: 'money',
      resizable: true,
      render: (h, params) => {
        const val = accounting.formatNumber(params.row.money, 2);
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val || ''
            }
          },
          val || ''
        );
      }
    },
    {
      title: '申请日期',
      align: 'left',
      width: 140,
      key: 'applyDate',
      resizable: true
    },
    {
      title: '到达日期',
      align: 'left',
      width: 160,
      key: 'arriveTime'
    }
  ];
}
