import { DataSelect, util } from 'ems-components-new';

export default function columnsFn() {
  const that = this;
  return [
    {
      type: 'selection',
      width: 60,
      resizable: true,
      align: 'center'
    },
    {
      title: `${that.$t('操作')}`,
      align: 'left',
      resizable: true,
      width: 120,
      render: (h, params) => {
        return h('RowTools', {
          props: {
            data: [
              {
                type: 'icon',
                icon: 'icon iconfont iconchakan-baise', 
                text: this.$t("查看"),
                class: this.resourceHideClass['WORK-CALENDAR-SETTING_BTN-DETAIL'] ? 'isHideResource' : '',
                handle: () => {
                  that.handleView(params.row)
                }
              },{
                type: 'icon',
                icon: 'icon iconfont iconchunsefuzhi', 
                class: this.resourceHideClass['WORK-CALENDAR-SETTING_BTN-COPY'] ? 'isHideResource' : '',
                text: this.$t("复制"),
                handle: () => {
                  that.handleCopy(params.row)
                }
              },{
                type: 'icon',
                icon: 'icon iconfont iconbianji-hei',
                class: this.resourceHideClass['WORK-CALENDAR-SETTING_BTN-EDIT'] ? 'isHideResource' : '', 
                text: this.$t("编辑"),
                handle: () => {
                  that.handleEdit(params.row)
                }
              }
            ]
          },
          attrs: {
            class: 'row-tools-new'
          }
        });
      }
    },
    {
      title: this.$t('序号'),
      type: 'index',
      width: 60,
      resizable: true
    },
    {
      title: `${that.$t('日历类型编码')}`,
      resizable: true,
      key: 'calendarTypeCode',
      render: (h, params) => {
        return util.renderText(h, params.row.calendarTypeCode);
      }
    },
    {
      title: `${that.$t('日历类型名称')}`,
      resizable: true,
      key: 'calendarTypeName',
      render: (h, params) => {
        return util.renderText(h, params.row.calendarTypeName);
      }
    },
    {
      title: `${that.$t('描述')}`,
      resizable: true,
      key: 'calendarDesc',
      render: (h, params) => {
        return util.renderText(h, params.row.calendarDesc);
      }
    },
    {
      title: `${that.$t('会计工作日历')}`,
      resizable: true,
      render: (h, params) => {
        return <a href="javascript:;" class={that.resourceHideClass["WORK-CALENDAR-SETTING_BTN-WORK-CALENDAR"]?"isHideResource":""} on-click={() => that.handleCalendarEdit(params.row)} >{that.$t('会计工作日历')}</a>;
      }
    },
    {
      title: `${that.$t('启用')}`,
      key: 'enabled',
      width: 80,
      render: (h, params) => {
        return <DataSelect vindex={params.index} code="YES_OR_NO" value={params.row.enabled} readonly />;
      }
    }

  ];
}
