import { getSysNavInfo, findCurrentEmployee, isAccountant } from '@accountingSrc/api/server.js';

export default {
  // 当前登陆用户员工信息
  FindCurrentEmployee({ commit }, param) {
    return new Promise((resolve) => {
      findCurrentEmployee(param).then((data) => {
        if (data) {
          isAccountant(data.empNo).then((res) => {
            const obj = Object.assign({}, data, res);
            commit('setUserEmpInfo', obj);
            sessionStorage.setItem('userEmpInfo', JSON.stringify(obj));
            resolve(obj);
          });
        }
      });
    });
  },

  // 用户初始化数据
  GetSysNavInfo({ commit, state }, param = {}) {
    const params = Object.assign({
      businessLineCode: state.userEmpInfo.businessLine,
      context: '/ems/',
      orgCode: state.userEmpInfo.departmentId
    }, param);

    return new Promise((resolve) => {
      getSysNavInfo(params).then((navInfo) => {
        if (navInfo.statusCode == '-9') {
          resolve('nologin');
          return $Message.error(navInfo.msg);
        }
        if (navInfo.dataResult) {
          commit('setUserNavInfo', navInfo.dataResult);
          commit('setLoginUserInfo', navInfo.dataResult.userInfo);
          sessionStorage.setItem('userInfo', JSON.stringify(navInfo.dataResult.userInfo));
          // commit("setScopeUrl", navInfo.dataResult.userMenuList);
          resolve(navInfo.dataResult);
        } else {
          $Message.error(navInfo.msg);
        }
      });
    });
  }
};
