import Vue from 'vue';
import Vuex from 'vuex';
import state from './state';
import actions from './actions';
import mutations from './mutations';
import getters from './getters';

import main from './main/index';
import accounting from './accounting/index';
import taskPoolMonitor from './taskPoolMonitor/index';
import createInvoiceMonitor from './createInvoiceMonitor/index';
import common from './common/index';
import accountingTaskPoolMonitor from './modules/accountingTaskPoolMonitor/index';

Vue.use(Vuex);
export default new Vuex.Store({
  state,
  actions,
  mutations,
  getters,
  modules: {
    main,
    accounting,
    taskPoolMonitor,
    common,
    createInvoiceMonitor,
    accountingTaskPoolMonitor
  }
});
