export default {
  // 查询小组
  QueryAllAccountingGroup: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/group/findByNameOrType` + (param ? ("?groupType=" + param.groupType + "&delFlg=" + param.delFlg) : ""), param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  QueryValueSetByCode({ commit }, param) {
    return new Promise((resolve) => {
      $axios.get(`/ems-base-application/mams/sys/valueset/item/list/${param.code}`).then((response) => {
        if (response.data.statusCode == '0') {
          let result = [];
          for (let item of response.data.dataResult) {
            result.push({ label: item.vsiValue, value: item.vsiKey });
          }
          resolve(result);
        } else {
          let responseData = { "dataResult": [], "extra": "", "msg": (response.data.msg || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        }
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // 根据报账单号查询流程信息
  QueryProcessInfoByClaimNo: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-utservice/claimProcessTaskMgr/myclaimhisbyclaimno/${param.claimNo}`, {}).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  QueryAllAccountingGroupMember: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/group/findCrewsByGroupId` + (param ? ("?groupId=" + param.groupId) : ""), {}).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // 查询总数量汇总信息
  QueryTaskPoolTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/total/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询会计任务池-未指定小组任务总数量
  QueryTaskPoolNotAssignGroupTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/unspecified/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询会计任务池-小组未分配任务总数量
  QueryTaskPoolNotAssignTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/unassigned/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询会计任务池-小组未处理任务总数量
  QueryTaskPoolNotHandleTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/unhandled/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询复核任务池-未指定小组任务总数量
  QueryReviewTaskPoolNotAssignGroupTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/unspecified/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询复核任务池-小组未分配任务总数量
  QueryReviewTaskPoolNotAssignTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/unassigned/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询复核任务池-小组未处理任务总数量
  QueryReviewTaskPoolNotHandleTotal: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/unhandled/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计任务池-未指定小组任务
  QueryTaskPoolNotAssignGroup: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 会计任务池-未指定小组任务-手动分配
  ManualAssignTaskPoolNotAssignGroupTask: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/grouping`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计任务池-小组未分配任务
  QueryTaskPoolNotAssign: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/unassigned/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 会计任务池-小组未分配任务-分配
  AssignTaskPoolNotAssignTask: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/assigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计任务池-小组未处理任务
  QueryTaskPoolNotHandle: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/unhandled/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 会计任务池-小组未处理任务-重新分配
  ReAssignTaskPoolNotHandleTask: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/draft/reassigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询复核任务池-未指定小组任务
  QueryReviewTaskPoolNotAssignGroup: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 复核任务池-未指定小组任务-手动分配
  ManualAssignReviewTaskPoolNotAssignGroupTask: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/grouping`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询复核任务池-小组未分配任务
  QueryReviewTaskPoolNotAssign: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/unassigned/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 复核任务池-小组未分配任务-分配
  AssignReviewTaskPoolNotAssignTask: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/assigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询复核任务池-小组未处理任务
  QueryReviewTaskPoolNotHandle: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/unhandled/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 复核任务池-小组未处理任务-重新分配
  ReAssignReviewTaskPoolNotHandleTask: function({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/ems-account-service/pool/review/reassigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
}
