const DISPATCH_HOST = "/ems-shared-dispatch-application";
export default {
  // 查询总数量汇总信息
  QueryTaskPoolTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${DISPATCH_HOST}/accountPools/pool/counts`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 查询会计任务池-未指定小组任务总数量
  QueryTaskPoolNotAssignGroupTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/unspecified/count`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 查询会计任务池-小组未分配任务总数量
  QueryTaskPoolNotAssignTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/unassigned/count`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 查询会计任务池-小组未处理任务总数量
  QueryTaskPoolNotHandleTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/unhandled/count`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 查询复核任务池-未指定小组任务总数量
  QueryReviewTaskPoolNotAssignGroupTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/unspecified/count`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 查询复核任务池-小组未分配任务总数量
  QueryReviewTaskPoolNotAssignTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/unassigned/count`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 查询复核任务池-小组未处理任务总数量
  QueryReviewTaskPoolNotHandleTotal: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/unhandled/count`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 分页查询会计任务池-未指定小组任务
  QueryTaskPoolNotAssignGroup: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${DISPATCH_HOST}/accountPools/unspecified/list`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 会计任务池-未指定小组任务-手动分配
  ManualAssignTaskPoolNotAssignGroupTask: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/grouping`, param)
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 分页查询会计任务池-小组未分配任务
  QueryTaskPoolNotAssign: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${DISPATCH_HOST}/accountPools/unassigned/list`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 会计任务池-小组未分配任务-分配
  AssignTaskPoolNotAssignTask: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/assigning`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 分页查询会计任务池-小组未处理任务
  QueryTaskPoolNotHandle: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/unhandled/list`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 会计任务池-小组未处理任务-重新分配
  ReAssignTaskPoolNotHandleTask: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/draft/reassigning`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 分页查询复核任务池-未指定小组任务
  QueryReviewTaskPoolNotAssignGroup: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/list`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 复核任务池-未指定小组任务-手动分配
  ManualAssignReviewTaskPoolNotAssignGroupTask: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/grouping`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 分页查询复核任务池-小组未分配任务
  QueryReviewTaskPoolNotAssign: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/unassigned/list`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 复核任务池-小组未分配任务-分配
  AssignReviewTaskPoolNotAssignTask: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/assigning`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 分页查询复核任务池-小组未处理任务
  QueryReviewTaskPoolNotHandle: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/unhandled/list`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },

  // 复核任务池-小组未处理任务-重新分配
  ReAssignReviewTaskPoolNotHandleTask: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(`${ems - account - service}/pool/review/reassigning`, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },
  // 查询小组
  QueryAllAccountingGroup: function({ commit }, param) {
    console.log("QueryAllAccountingGroup");
    return new Promise(resolve => {
      $axios
        .post(
          `ems-account-service/group/findByNameOrType` +
            (param
              ? "?groupType=" + param.groupType + "&delFlg=" + param.delFlg
              : ""),
          param
        )
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },
  // 查询小组
  QueryGroupListByType: function({ commit }, param) {
    console.log("QueryGroupListByType");
    return new Promise(resolve => {
      $axios
        .get(
          `/ems-shared-dispatch-application/shared/org/groups?groupType=${param.groupType}&subCenterCode=${param.subCenterCode}&isSingleCenter=${param.isSingleCenter}`,
          param
        )
        .then(response => {
          console.log('---setGroupListData',param)
          // alert('setGroupListData')
          if(response.data.code=='S000A000'){
            commit("setGroupListData", response.data.data);
          }
          console.log('setGroupListData-response.data.data',response.data.data)
          resolve(response.data);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },
  // 根据报账单号查询流程信息
  QueryProcessInfoByClaimNo: function({ commit }, param) {
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-utservice/claimProcessTaskMgr/myclaimhisbyclaimno/${param.claimNo}`,
          {}
        )
        .then(response => {
          resolve(response.data);
        })
        .catch(error => {
          console.log(error);
          var responseData = {
            dataResult: [],
            extra: "",
            msg: "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  },
  QueryUnsepcifyNumfunction({ commit }, param) {
    console.log('QueryUnsepcifyNumfunction-param',param)
    return new Promise(resolve => {
      $axios
        .post(
          `/ems-shared-dispatch-application/accountPools/unspeciSubCentre/count`,
          param
        )
        .then(response => {
          commit("setUnSpecifyCenterNum", response.data.data);
          resolve(response.data);
        })
        .catch(error => {
          console.log(error);
          var responseData = {
            dataResult: [],
            extra: "",
            msg: "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
};
